Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ultrasearch.query
Class InvalidQueryException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.ultrasearch.query.InvalidQueryException`

All Implemented Interfaces:
  java.io.Serializable

public class InvalidQueryException
extends java.lang.RuntimeException

Exception thrown when the user attempts to construct a Querytemplate using a array of QueryTemplates

Since:
  10.2.0
See Also:
  Serialized Form

Constructor Summary
`InvalidQueryException()` Empty constructor
`InvalidQueryException(java.lang.String error_code)` Constuctor that takes the exception message string as an argument

Method Summary
`java.lang.String` | `getMessage()` Returns the detailed message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidQueryException

    public InvalidQueryException()

  Empty constructor

### InvalidQueryException

    public InvalidQueryException(java.lang.String error_code)

  Constuctor that takes the exception message string as an argument

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the detailed message
  Returns:
    detailed message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003,2005, Oracle. All Rights Reserved.